/**************************************************************************
/* This class dumps the names of all available fonts.
/*
/* Copyright (c) 2003 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import java.awt.*;

/**
   This class dumps the names of all available fonts.

   @version $Revision: 1.1 $
   @author  $Author: Bablokb $
*/

public class ShowFonts {

  //////////////////////////////////////////////////////////////////////////////

  /**
     Constructor.
  */

  public ShowFonts() {
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Dump fonts using JDK-1.1 API
  */

  public String[] getFonts11() {
    return Toolkit.getDefaultToolkit().getFontList();
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Dump fonts using JDK-2 API
  */

  public String[] getFonts12() {
    return GraphicsEnvironment.
      getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
  }

  //////////////////////////////////////////////////////////////////////////////

  public static void main(String[] args) {
    int i;
    ShowFonts sf = new ShowFonts();
    System.out.println("------ 1.1 method: getFontList() (deprecated) --------");
    String fontNames[] = sf.getFonts11();
    for (i=0; i<fontNames.length; ++i)
      System.out.println(fontNames[i]);

    System.out.println("------ 1.2 method: getAvailableFontFamilyNames() -----");
    String fontFamilies[] = sf.getFonts12();
    for (i=0; i<fontFamilies.length; ++i)
      System.out.println(fontFamilies[i]);
    
    System.exit(0);
  }
}

